com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface ActivityNode

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, FlowControl, org.eclipse.emf.common.notify.Notifier, RuleModelElement

      public interface ActivityNode
      extends FlowControl

  A representation of the model object 'Activity Node'.

  The following features are supported:

  - `Enabled`
  - `Name`
  - `Iterative`
  - `Order`
  - `Rule Activity Update Stamp`
  - `Next Step`
  - `Invokes`
  See Also:
    `RuleflowPackage.getActivityNode()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuleActivity` | `getInvokes()` Returns the value of the 'Invokes' reference
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `FlowControl` | `getNextStep()` Returns the value of the 'Next Step' reference
    `int` | `getOrder()` Returns the value of the 'Order' attribute.
    `java.lang.String` | `getRuleActivityUpdateStamp()` Returns the value of the 'Rule Activity Update Stamp' attribute
    `boolean` | `isEnabled()` Returns the value of the 'Enabled' attribute.
    `boolean` | `isIterative()` Returns the value of the 'Iterative' attribute
    `void` | `setEnabled(boolean value)` Sets the value of the '`Enabled`' attribute
    `void` | `setInvokes(RuleActivity value)` Sets the value of the '`Invokes`' reference
    `void` | `setIterative(boolean value)` Sets the value of the '`Iterative`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setNextStep(FlowControl value)` Sets the value of the '`Next Step`' reference
    `void` | `setOrder(int value)` Sets the value of the '`Order`' attribute
    `void` | `setRuleActivityUpdateStamp(java.lang.String value)` Sets the value of the '`Rule Activity Update Stamp`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isEnabled

          boolean isEnabled()

      Returns the value of the 'Enabled' attribute. The default value is `"true"`.

      If the meaning of the 'Enabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Enabled' attribute.
      See Also:
        `setEnabled(boolean)`, `RuleflowPackage.getActivityNode_Enabled()`

    - #### setEnabled

          void setEnabled(boolean value)

      Sets the value of the '`Enabled`' attribute.
      Parameters:
        `value` - the new value of the 'Enabled' attribute.
      See Also:
        `isEnabled()`

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `RuleflowPackage.getActivityNode_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### isIterative

          boolean isIterative()

      Returns the value of the 'Iterative' attribute.

      If the meaning of the 'Iterative' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Iterative' attribute.
      See Also:
        `setIterative(boolean)`, `RuleflowPackage.getActivityNode_Iterative()`

    - #### setIterative

          void setIterative(boolean value)

      Sets the value of the '`Iterative`' attribute.
      Parameters:
        `value` - the new value of the 'Iterative' attribute.
      See Also:
        `isIterative()`

    - #### getOrder

          int getOrder()

      Returns the value of the 'Order' attribute. The default value is `"-1"`.

      If the meaning of the 'Order' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Order' attribute.
      See Also:
        `setOrder(int)`, `RuleflowPackage.getActivityNode_Order()`

    - #### setOrder

          void setOrder(int value)

      Sets the value of the '`Order`' attribute.
      Parameters:
        `value` - the new value of the 'Order' attribute.
      See Also:
        `getOrder()`

    - #### getRuleActivityUpdateStamp

          java.lang.String getRuleActivityUpdateStamp()

      Returns the value of the 'Rule Activity Update Stamp' attribute.

      If the meaning of the 'Rule Activity Update Stamp' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Activity Update Stamp' attribute.
      See Also:
        `setRuleActivityUpdateStamp(String)`, `RuleflowPackage.getActivityNode_RuleActivityUpdateStamp()`

    - #### setRuleActivityUpdateStamp

          void setRuleActivityUpdateStamp(java.lang.String value)

      Sets the value of the '`Rule Activity Update Stamp`' attribute.
      Parameters:
        `value` - the new value of the 'Rule Activity Update Stamp' attribute.
      See Also:
        `getRuleActivityUpdateStamp()`

    - #### getNextStep

          FlowControl getNextStep()

      Returns the value of the 'Next Step' reference.

      If the meaning of the 'Next Step' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Next Step' reference.
      See Also:
        `setNextStep(FlowControl)`, `RuleflowPackage.getActivityNode_NextStep()`

    - #### setNextStep

          void setNextStep(FlowControl value)

      Sets the value of the '`Next Step`' reference.
      Parameters:
        `value` - the new value of the 'Next Step' reference.
      See Also:
        `getNextStep()`

    - #### getInvokes

          RuleActivity getInvokes()

      Returns the value of the 'Invokes' reference.

      If the meaning of the 'Invokes' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Invokes' reference.
      See Also:
        `setInvokes(RuleActivity)`, `RuleflowPackage.getActivityNode_Invokes()`

    - #### setInvokes

          void setInvokes(RuleActivity value)

      Sets the value of the '`Invokes`' reference.
      Parameters:
        `value` - the new value of the 'Invokes' reference.
      See Also:
        `getInvokes()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.